using System;
using System.Text;
using Daolite;
using Daolite.Mapping;
using Daolite.DBControls;
using Daolite.DBControls.SqlElements;

namespace Northwind
{
	public class InvoicesAccess  : Daolite.BusinessAccess
	{

		public  InvoicesAccess() : base("Invoices", NwindConfiger.GetConfiger())
		{
		}


		public Invoices[] Query()
		{
			return base.Query<Invoices>();
		}


		public Invoices[] QueryRelated()
		{
			return base.QueryRelated<Invoices>();
		}


		public Invoices QueryOne(bool isRelated)
		{
			return base.QueryOne<Invoices>(new Daolite.DataStruct.KeyPairs()
			, isRelated);
		}


	}
}
